Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[Tests] fix skip usage #2232

Merged
merged 4 commits into from Sep 21, 2021
Merged

[Tests] fix skip usage #2232

merged 4 commits into from Sep 21, 2021

Conversation

@jablko
Copy link
Contributor

@jablko jablko commented Sep 20, 2021

Conditionally skipping tests doesn't work this way, I think?

@jablko jablko force-pushed the patch-2 branch 3 times, most recently from cec9a88 to 7e2d128 Sep 20, 2021
ljharb
ljharb approved these changes Sep 20, 2021
Copy link
Collaborator

@ljharb ljharb left a comment

Thanks, this seems great

Loading

tests/src/rules/max-dependencies.js Show resolved Hide resolved
Loading
tests/src/rules/max-dependencies.js Outdated Show resolved Hide resolved
Loading
tests/src/rules/max-dependencies.js Show resolved Hide resolved
Loading
@jablko jablko force-pushed the patch-2 branch 3 times, most recently from 391c4f1 to 98eba27 Sep 20, 2021
@codecov
Copy link

@codecov codecov bot commented Sep 20, 2021

Codecov Report

Merging #2232 (430d16c) into main (fd85369) will not change coverage.
The diff coverage is n/a.

Impacted file tree graph

@@           Coverage Diff           @@
##             main    #2232   +/-   ##
=======================================
  Coverage   95.23%   95.23%           
=======================================
  Files          65       65           
  Lines        2687     2687           
  Branches      889      889           
=======================================
  Hits         2559     2559           
  Misses        128      128           

Continue to review full report at Codecov.

Legend - Click here to learn more
Δ = absolute <relative> (impact), ø = not affected, ? = missing data
Powered by Codecov. Last update fd85369...430d16c. Read the comment docs.

Loading

@ljharb
Copy link
Collaborator

@ljharb ljharb commented Sep 20, 2021

I just rebased to tweak the commit messages; two tests are failing.

Loading

@jablko
Copy link
Contributor Author

@jablko jablko commented Sep 21, 2021

I just rebased to tweak the commit messages;

Got them, thanks!

two tests are failing.

Hopefully this does the trick: We downgrade eslint-import-resolver-typescript on Node.js < 8:

# typescript-eslint-parser 1.1.1+ is not compatible with node 6
if [[ "$TRAVIS_NODE_VERSION" -lt "8" ]]; then
echo "Downgrading eslint-import-resolver-typescript..."
npm i --no-save eslint-import-resolver-typescript@1.0.2

1.0.2 doesn't resolve .js extensions (I presume) and this test needs a resolved import:

Loading

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants